org.apache.sling.bgservlets.impl.webconsole

## Class JobConsolePlugin.Plugin

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.felix.webconsole.AbstractWebConsolePlugin
      - - org.apache.sling.bgservlets.impl.webconsole.JobConsolePlugin.Plugin

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Enclosing class:
  JobConsolePlugin

    public static final class JobConsolePlugin.Plugin
    extends org.apache.felix.webconsole.AbstractWebConsolePlugin

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.felix.webconsole.AbstractWebConsolePlugin

`ATTR_FILEUPLOAD, GET_RESOURCE_METHOD_NAME`

### Constructor Summary

Constructors
Constructor and Description
`JobConsolePlugin.Plugin(JobConsole console)`

### Method Summary

Methods
`void` `activate(org.osgi.framework.BundleContext ctx)`
`void` `deactivate()`
`protected void` `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`String` `getLabel()`
`String` `getTitle()`
`protected void` `renderContent(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

### Methods inherited from class org.apache.felix.webconsole.AbstractWebConsolePlugin

`doGet, endResponse, getBrandingPlugin, getBundle, getBundleContext, getCssReferences, getParameter, getResourceProvider, getServletName, isHtmlRequest, log, log, readTemplateFile, renderTopNavigation, sendRedirect, setBrandingPlugin, setLogLevel, startResponse`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JobConsolePlugin.Plugin

    public JobConsolePlugin.Plugin(JobConsole console)

### Method Detail

#### activate

    public void activate(org.osgi.framework.BundleContext ctx)

Overrides:
  `activate` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`

#### deactivate

    public void deactivate()

Overrides:
  `deactivate` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`

#### getLabel

    public String getLabel()

Specified by:
  `getLabel` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`

#### getTitle

    public String getTitle()

Specified by:
  `getTitle` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`

#### renderContent

    protected void renderContent(javax.servlet.http.HttpServletRequest req,
                     javax.servlet.http.HttpServletResponse res)
                          throws javax.servlet.ServletException,
                                 IOException

Specified by:
  `renderContent` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest req,
              javax.servlet.http.HttpServletResponse resp)
                   throws javax.servlet.ServletException,
                          IOException

Overrides:
  `doPost` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`